Subject: [bug#42681] [PATCH core-updates] gnu: bootstrap-gcc: Don't use CPATH search paths.

From: Efraim Flashner <[email-masked]>
Date: Wed, 5 Aug 2020 11:56:06 +0300

On Tue, Aug 04, 2020 at 02:34:35PM +0200, Jakub Kądziołka wrote:
> On Tue, Aug 04, 2020 at 09:00:06AM +0300, Efraim Flashner wrote:
> > On Mon, Aug 03, 2020 at 01:03:52PM +0200, Jakub Kądziołka wrote:
> > > On Mon, Aug 03, 2020 at 09:40:26AM +0300, Efraim Flashner wrote:
> > > > On Sun, Aug 02, 2020 at 10:34:21PM +0200, Jakub Kądziołka wrote:
> > > > I'm building out to hello on my aarch64 board now, starting from
> > > > make-boot0 apparently. Guile is only listed once so hopefully it won't
> > > > take too long.
> > > 
> > > Thanks!
> > > 
> > > > I assume this doesn't break anything on x86_64?
> > > 
> > > I don't have hello built on current core-updates (it also wants to start
> > > from make-boot0), but I have confirmed that guix build --no-grafts -d
> > > hello returns the same derivation path before and after the commit.
> > > %bootstrap-gcc is not present at all in the package graph on x86.
> > > 
> > 
> > I was able to successfully build all the way out to hello on
> > aarch64-linux.
> 
> This is great news! Patch pushed.
> 

Continued testing shows that this also worked on my aarch64 board when
building for armhf.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted